package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class IOAdapter {
    private Metadata metadata;
    private String adapterID;
    private String description;
    private String deviceName;
    private String deviceType;
    private String dynamicReconfigurationConnectorName;
    private String physicalLocation;
    private String uniqueDeviceID;
    private LogicalPartitionAssignmentCapable logicalPartitionAssignmentCapable;

    public IOAdapter() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAdapterID() {
        return adapterID;
    }

    public void setAdapterID(String adapterID) {
        this.adapterID = adapterID;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    /**
     * @return the deviceType
     */
    public String getDeviceType() {
        return deviceType;
    }

    /**
     * @param deviceType the deviceType to set
     */
    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getDynamicReconfigurationConnectorName() {
        return dynamicReconfigurationConnectorName;
    }

    public void setDynamicReconfigurationConnectorName(String dynamicReconfigurationConnectorName) {
        this.dynamicReconfigurationConnectorName = dynamicReconfigurationConnectorName;
    }

    public String getPhysicalLocation() {
        return physicalLocation;
    }

    public void setPhysicalLocation(String physicalLocation) {
        this.physicalLocation = physicalLocation;
    }

    public String getUniqueDeviceID() {
        return uniqueDeviceID;
    }

    public void setUniqueDeviceID(String uniqueDeviceID) {
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public LogicalPartitionAssignmentCapable getLogicalPartitionAssignmentCapable() {
        return logicalPartitionAssignmentCapable;
    }

    public void setLogicalPartitionAssignmentCapable(LogicalPartitionAssignmentCapable logicalPartitionAssignmentCapable) {
        this.logicalPartitionAssignmentCapable = logicalPartitionAssignmentCapable;
    }

    @Override
    public String toString() {
        return "IOAdapter [metadata=" + metadata + ", adapterID=" + adapterID + ", description=" + description
            + ", deviceName=" + deviceName + ", dynamicReconfigurationConnectorName="
            + dynamicReconfigurationConnectorName + ", physicalLocation=" + physicalLocation + ", uniqueDeviceID="
            + uniqueDeviceID + ", logicalPartitionAssignmentCapable=" + logicalPartitionAssignmentCapable + "]";
    }
}
